Summary:	The zlib compression and decompression library.
Name:		zlib
Group:		System Environment/Libraries
Version:	1.1.3
Release:	1.3.0
Source:		ftp://ftp.uu.net/graphics/png/zlib-%{version}.tar.gz
Patch0:		zlib-1.1.3-glibc.patch
Patch1:		zlib-1.1.3-Makefile.patch
Patch2:		zlib-1.1.3-doublefree.diff
Patch3:		zlib-1.1.3-owl-gzio-vsnprintf-gd-1.diff
Copyright:	BSD
Buildroot:	%{_tmppath}/%{name}-%{release}-root

%description
The zlib compression library provides in-memory compression and
decompression functions, including integrity checks of the
uncompressed data.  This version of the library supports only one
compression method (deflation), but other algorithms may be added
later, which will have the same stream interface.  The zlib library is
used by many different system programs.

%files
  %defattr(-,root,root)
  %doc README ChangeLog algorithm.txt
  %doc %{_mandir}/man3/zlib.3*

  /usr/include/*
  /usr/lib/*.a
  /usr/lib/*.so
  /usr/lib/libz.so.*

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
  CFLAGS="$RPM_OPT_FLAGS" ./configure --shared --prefix=/usr
  make

  # now build the static lib
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/usr

  ./configure --shared --prefix=/usr
  make install prefix=$RPM_BUILD_ROOT/usr

  ./configure --prefix=/usr
  make install prefix=$RPM_BUILD_ROOT/usr

  install -m644 zutil.h $RPM_BUILD_ROOT/usr/include/zutil.h
  mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
  install -m644 zlib.3 $RPM_BUILD_ROOT%{_mandir}/man3

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Tue Feb 25 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1.3, Release 1.5.1
  - Ryan-ized spec.
  - Fix potential overflow in gzio.c.  Thanks to Solar for the patch
    via the xvendor mailing list.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Thu Apr 18 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1.3, Release 1.2.1
  - Port over all security errata from Balestra, see 1.1.1 changelog
    for more information.

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).
  - Removed pre-EnGarde changelog.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1.3, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Fri Jul 14 2000 Pete O'Hara <pete@guardiandigital.com>
- removed "devel" package for Guardian Digital Lockbox
